server {
 listen 8443 ssl;
 listen 443 ssl;
client_max_body_size 100M;
client_body_buffer_size 1M;

 server_name citinginx;
server_tokens off;
chunked_transfer_encoding off;
ssl_certificate /etc/nginx/bundle.pem;
ssl_certificate_key /etc/nginx/cdflab.pem;
resolver 172.31.252.11;

#REQUIRE FOR FCSDK AND LIVE ASSIST
location /gateway/ {
 proxy_set_header Host $http_host;
 proxy_pass https://172.31.250.49:8443$request_uri;
}

location /gateway/websocketcall {
 proxy_http_version 1.1;
 proxy_set_header Upgrade $http_upgrade;
 proxy_set_header Connection "upgrade";
 proxy_set_header Host $http_host;
 proxy_pass https://172.31.250.49:8443$request_uri;
}

location /csdk-sample/ {
 proxy_set_header Host $http_host;
 proxy_pass https://172.31.250.49:8443$request_uri;
 }

#REQUIRE FOR LIVE ASSIST SAMPLE APP
location /assistsample/ {
 proxy_set_header Host $http_host;
 proxy_pass http://172.31.250.49:8443$request_uri;
 }

#REQUIRE FOR LIVE ASSIST SAMPLE APP
location /assist-agent-console/ {
 proxy_set_header Host $http_host;
 proxy_pass http://172.31.250.49:8443$request_uri;
}
location /agent/console/ {
 proxy_set_header Host $http_host;
 proxy_pass http://172.31.250.49:8443$request_uri;
}

#REQUIRE FOR LIVE ASSIST SCREEN SHARING
location /assistserver/ {
 proxy_set_header Host $http_host;
 proxy_pass https://172.31.250.49:8443$request_uri;
 }
location /assistserver/topic {
 proxy_http_version 1.1;
 proxy_set_header Upgrade $http_upgrade;
 proxy_set_header Connection "upgrade";
 proxy_set_header Host $http_host;
 proxy_pass https://172.31.250.49:8443$request_uri;
 }

#REQUIRE FOR LIVE ASSIST DOCS SHARING
location /assist-resourcemanager/ {
 proxy_set_header Host $http_host;
proxy_pass https://172.31.250.49:8443$request_uri;
 }

#REQUIRED FOR IE PLUGIN

#Replace<IE Plugin Path> with value configured at bottom of page https://<FAS_SERVER>:8443/web_plugin_framework/webcontroller/admin/

location /<IE Plugin Path> {

proxy_set_header Host $http_host;

proxy_pass https://<FAS Server IP Address>:8443$request_uri;

}

 

#REQUIRED FOR SAFARI PLUGIN

#Replace<SAFARI Plugin Path> with value configured at bottom of page https://<FAS_SERVER>:8443/web_plugin_framework/webcontroller/admin/

location /<SAFARI Plugin Path>/ {

proxy_set_header Host $http_host;

proxy_pass https://<FAS Server IP Address>:8443$request_uri;

}


#LATEST VERSION OF PALETTES WOULD ALSO REQUIRE LOCATION FOR ADAPTER

# redirect server not found page to the static page /404.html
 error_page 404 /40x.html;
 location = /40x.html {
 root /usr/share/nginx/html;
 }
# redirect server error pages to the static page /50x.html
 error_page 500 502 503 504 /50x.html;
 location = /50x.html {
 root /usr/share/nginx/html;
 }
}
